Loading...
Searching...
No Matches
mongocxx::events::heartbeat_succeeded_event Class Reference

`#include <mongocxx/v_noabi/mongocxx/events/heartbeat_succeeded_event.hpp>`

## Description

The successful execution of a heartbeat ("hello") command.

See also
  - SDAM Logging and Monitoring Specification (MongoDB Specifications)

## Public Member Functions

| heartbeat_succeeded_event (v1::events::server_heartbeat_succeeded const &event)
| Construct with the mongocxx::v1 equivalent.
| heartbeat_succeeded_event (void const *event)
bool | awaited () const
| Returns a boolean indicating whether this heartbeat event is from an awaitable hello.
std::int64_t | duration () const
| Returns the duration of the successful operation.
bsoncxx::v_noabi::stdx::string_view | host () const
| Returns the host name.
| operator v1::events::server_heartbeat_succeeded () const
| Convert to the mongocxx::v1 equivalent.
std::uint16_t | port () const
| Returns the port.
bsoncxx::v_noabi::document::view | reply () const
| Returns the server reply for the succeeded operation.

## Constructor & Destructor Documentation

## heartbeat_succeeded_event() [1/2]

mongocxx::v_noabi::events::heartbeat_succeeded_event::heartbeat_succeeded_event | ( | void const * | event | ) |

explicit

Deprecated
  For internal use only.

## heartbeat_succeeded_event() [2/2]

mongocxx::v_noabi::events::heartbeat_succeeded_event::heartbeat_succeeded_event | ( | v1::events::server_heartbeat_succeeded const & | event | ) |

inline

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## awaited()

bool mongocxx::v_noabi::events::heartbeat_succeeded_event::awaited | ( |  | ) | const

inline

Returns a boolean indicating whether this heartbeat event is from an awaitable hello.

Returns
  A boolean.

## duration()

std::int64_t mongocxx::v_noabi::events::heartbeat_succeeded_event::duration | ( |  | ) | const

inline

Returns the duration of the successful operation.

Returns
  The duration in microseconds.

## host()

bsoncxx::v_noabi::stdx::string_view mongocxx::v_noabi::events::heartbeat_succeeded_event::host | ( |  | ) | const

inline

Returns the host name.

Returns
  The host name.

## operator v1::events::server_heartbeat_succeeded()

mongocxx::v_noabi::events::heartbeat_succeeded_event::operator v1::events::server_heartbeat_succeeded | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## port()

std::uint16_t mongocxx::v_noabi::events::heartbeat_succeeded_event::port | ( |  | ) | const

inline

Returns the port.

Returns
  The port.

## reply()

bsoncxx::v_noabi::document::view mongocxx::v_noabi::events::heartbeat_succeeded_event::reply | ( |  | ) | const

inline

Returns the server reply for the succeeded operation.

Returns
  The reply.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/events/heartbeat_succeeded_event.hpp